<template>
  <div>
    <h2>
      Hi {{ user.display_name }}
    </h2>

    <p>
      Welcome to your personal dasboard you
    </p>
    
    <h4>Your Apps</h4>
    <AppDrawerLink text='Issues' icon='Kanban' link='/issues' />
    <AppDrawerLink text='Documentation' icon='FileText' link='/docs' />
    <AppDrawerLink text='Source Control' icon='CodeSlash' link='/code' />
    <AppDrawerLink text='Pipelines' icon='Window' link='/pipelines' />
    <AppDrawerLink text='Artifacts' icon='Archive' link='/artifacts' />
    <AppDrawerLink text='Security' icon='ShieldShaded' link='/security' />
    <AppDrawerLink text='Organization' icon='Building' link='/organization' />
  </div>
</template>

<script>
import { mapState } from 'vuex'
import AppDrawerLink from '@/components/AppDrawerLink.vue'

export default {
  name: 'OrganizationDashboard',
  components: {
    AppDrawerLink
  },
  props: ['sidebarActiveKey'],
  created() {
    this.$emit('setSidebarActive', this.sidebarActiveKey);
  },
  computed: mapState({
    user: state => state.auth.user,
    organization: state => state.organization.info
  })
}
</script>

<style scoped lang="scss">

</style>